# Description

This is an adaption of the fluid solver module tutorial case 'BernardCells' for
cipsa. The purpose is to test the functionality of the energy equation density
variation functionality in the pressure equation.

The test case features a closed cells with a heated bottom and a cooled top
wall. Due to free convection, a total of six Bernard cells forms, once a steady-
state is reached.

In addition to cipsa, the case is setup with addonMultiphaseEuler to obtain
reference data.

# Technical Information

* 2D
* 900 cells (90x10)
* 9m x 1m
* Energy transport
* Buoyancy
* Free convection
* Initialised with small horizontal velocity to break symmetry

# Post-Processing

* singleGraph of T.gas1 and U.gas1
* residuals of p_rgh

are evaluated via functionObjects at run time. The fields U.gas1 and T.gas1
are compared to the solutions of both cipsaMultiphaseEuler and
addonMultiphaseEuler at t=1000. The results may be visualised with
the gnuplot script.

# Keywords

2D, bernard-cells, anisothermal, single-phase, free-convection, gas,
boussinesq-approximation, incompressible, closed-box
