# Test Case for Addon Courant Number Function Object

## Description

This test case features a rising air bubble in a closed box of stagnant water.
It is designed to have a oscillating phase Courant number for air and runs very
short physical time only.

## Technical Information

- 2D
- parallel (NPROCS = 2)

## Pre-Processing

Originally the phase fractions fields have been initialised with the
funkySetFields application from Swak4Foam. As this is not applicable in the
current dev version, the corresponding fields are located in the 0.org directory
and are ready to use. The funkySetFieldsDict is still located in system
directory but stays unused so far.

For the sake of testing the parallel functionality, the case is decomposed into
two sub-domains.

## Post-Processing

The addonCourantNo functionObject is designed to write out the instantaneous
field of the phase specific Courant number (with a given flux field - in this
case air), when the criterion critCo < max(Co) is met. Here max(Co) = 0.42 (see
`system/coAir`) As result the list of written files (fields of addonCo(phi.air))
is compared to a reference list. Both lists shall be identical. Only differences
are shown from `./Allrun` terminal output.
