# Test Case for incompressibleVoF solver for phaseStructureProperties

## Description

This test case features a rising air bubble in a closed box of stagnant water.
It is designed to show a deformation of the bubble developing with physical
time. Initially, the bubble is located at (0.5 m, 0.5 m) with a radius of
0.25 m.

## Technical Information

- 2D
- parallel (NPROCS = 2)

## Pre-Processing

The bubble is initialised with setFields utility.

For the sake of testing the parallel functionality, the case is decomposed into
two sub-domains.

## Post-Processing

The phaseStructureProperties functionObject is designed to calculate and write
out centre of gravity, spatially averaged phase velocity, volume, surface area
and sphericity from a specified phase fraction (see `system/bubble`). The result
will be compared to a reference solution.
