# Dispersed gas bubbles in 1D vertical channel with PID controlled water inlet

## Description

This test case features a vertical one-dimensional pipe with dispersed air
bubbles and a counter-current water flow directed downwards. The purpose is to
test and demonstrate the functionality of the PIDcontrolledInletVelocity, which
adjusts the water inlet velocity so that the gas bubbles maintain the vertical
target position of y = 0.45 m.

## Technical Information

* 1D
* 10 mesh cells
* top: liquid inflow
  * PID controlled inlet velocity
* bottom: liquid outflow
* interfaceCompression used to artificially keep bubble cloud compact

## Pre-Processing

* setFields for phase distribution

## Post-Processing

FunctionObjects used at run time:

* patchAverage (surfaceFieldValue):
    track inflow velocity
* phaseStructureProperties:
    vertical gas position position

## Keywords

1D, multimorph, vertical pipe, isothermal, incompressible, two-phase
