# Taylor Green Vortex Test Case

## Description

This case is designed for testing the compact momentum interpolation (CMI)
solution procedure. The geometry consists of a square box containing a single
vortex, decaying exponentially in time. Physically this case features a single
phase flow, which is represented by two phases with identical material
properties. Those are coupled by a constant drag term. The idea is to reproduce
the (analytical) single phase solution, where the drag term is meaningless.

## Technical Information

- 2D
- 1024 cells (32x32)
- 3.14m x 3.14m
- no gravitational acceleration
- constant drag coupling between both phases (value 2000)
- partialElimination

## Pre-Processing

Fields of phase-specific velocities, U.gas1 and U.gas2, and working pressure,
p_rgh, are initialised via coded functionObject.

## Post-Processing

Result data, including

- residuals     of all solution variables
- probes        at top and centre
- singleGraph   at vertical centre line

are evaluated via functionObjects at run time and may be visualised with the
createGraphs script. The results are compared to the analytical solution,
obtained with calc_analytical.py python script. The field U.gas1 at t=0.5 is
compared to the reference solution, which was obtained with cipsa.

## Keywords

2D, multimorph, taylor-green-vortex, isothermal, incompressible, closed-box,
single-phase, analytical-solution
