# Test Case for Iterative Drag Correction

## Description

Simulation of a vertical co-current two-phase flow in a one-dimensional domain.
Carries out an iterative drag coefficient correction to drive the simulation
result towards a prescribed reference solution.

## Technical Information

The simulation run is split into three stages. In a first stage, an artificial
reference solution is generated and the corresponding reference relative
velocity field is stored in the validation directory. Then, the diameter of the
dispersed phase is altered in order to disturb the solution, i.e. to emulate
some modelling error. Finally, in the correction stage, a correction component
is added to the drag coefficient of the selected drag model and updated
iteratively until the solution converges against the stored reference solution.

## Additional Remarks

Note that in this case, the verification step is based on a comparison of the
computed reference solution against the corrected solution. Hence, the case
does not contain a permanent reference solution.
