# Test Case for Iterative Non-Drag Correction

## Description

Simulation of a vertical co-current two-phase flow in a two-dimensional domain.
Carries out an iterative correction of the non-drag forces to drive the
simulation result towards a prescribed reference solution.

## Technical Information

The simulation run is split into three stages. In a first stage, an artificial
reference solution is generated and the corresponding reference dispersed phase
fraction field is stored in the validation directory. Then, the diameter of the
dispersed phase is altered in order to disturb the solution, i.e. to emulate
some modelling error. Finally, in the correction stage, a non-drag force is
added and updated iteratively until the solution converges against the stored
reference solution.

## Additional Remarks

Note that in this case, the verification step is based on a comparison of the
computed reference solution against the corrected solution. Hence, the case
does not contain a permanent reference solution.
