# Test Case for Lift Force

## Description

This case is designed to illustrate and test implementation of the lift force
into cipsaMultiphaseEuler. A homogeneous shear field of water velocity is
ensured inside the vertical channel. Disperse air is injected close the left
wall with a low volume flow rate. Under the influence of lift force, the air
bubbles move to the right while rising under influence of gravity.

## Technical Information

* 2D
* 15x45 cells
* 0.15m x 0.5m
* Lift: constant coefficient with Cl=-4
* Gravity
* Linear water velocity profile a inlet is achieved via table values
* Left and right wall move according to the value at the inlet at the left and
  right side, respectively, to avoid velocity boundary layers at the walls
* In first phase of initialisation, only water enters the domain to build up the
  homogeneous shear field
* Injection of air is turned on after 2.5 s

## Pre-Processing

The sparger for air injection is added after meshing via topoSet and
createPatch.

## Post-Processing

Line data are obtained with graphCell at a horizontal line at a height of
y=0.45. The line data may be plotted via the gnuplot script in the validation
directory for the end time at t=5s.

For automated testing, horizontal line data at t=5s is compared to reference
data, which is also located in the validation directory.
