# Test Case for Surface Tension

## Description

This case is designed to evaluate the evolution of spurious currents due the
erronerous interface curvature calculation in the context of continuous surface
tension force[^1]. In the centre of the twodimensional square domain filled with
water a circular air bubble is initialised with a velocity field of zero. The
analytical and obvious solution is a steady-state with zero velocity. However,
due to imprecisions in the calculation of interface curvature spurious currents
are introduced, which evolve over time and might finally move the gas bubble
away from its initial position.

This case serves for demonstration of application and functionality of a
smoothed continuum surface tension force model[^2] regarding reduction of
spurious currents compared to the non-smoothed(standard) model approach[^1].

## Technical Information

- 2D
- 6x6 mm
- 3 mm bubble diameter
- 40x40 cells
- interfacial drag
- interface compression
- surface tension force: smoothedContinuumSurfaceForce with 2 iterations of
  smoothing

## Pre-Processing

The gas bubble is initialised with setBubble utility.

## Post-Processing

Field averaged air and water velocities are computed via volFieldValue function
object 'sumMagVelocity'. The pressure distribution is extracted with surfaces
function object. Both results are visualised with gnuplot script
'createGraphs.plt'.

## Keywords

2D, circular-bubble, isothermal, two-phase, surface-tension, gas-bubble, air,
water, incompressible, closed-box

## Literature

[^1]: Brackbill, J. U., & Kothe, D. B., & Zemach, C. (1992). A continuum method
      for modeling surface tension. Journal of Computational Physics, 100,
      335-354.

[^2]: Ubbink, O. (1997). Numerical prediction of two fluid systems with sharp
      interfaces. PhD Thesis, Imperial College London (University of London).
