# Test Case for Turbulent Dispersion

## Description

This case is designed to illustrate and test implementation of the turbulent
dispersion force into cipsaMultiphaseEuler. Water is initialised with a
limited turbulent energy, which is decaying exponentially in time. A region of
increased air volume fraction at the centre of the domain is smeared out due to
turbulent dispersion force as long as water turbulent kinetic energy is still
strong enough.

## Technical Information

* 1D
* 15 cells
* 1m
* Turbulent dispersion: constant coefficient model with Ctd=1
* kOmegaSST (baseline) turbulence model for water, initialised with constant
  values for k.water, omega.water and nut.water
* Initialised with zero velocity

## Pre-Processing

A region with 50 % disperse air is placed in the centre of the domain with
setFields.

## Post-Processing

Line data are obtained with singleGraph along the domain. Air volume fraction
along this line may be plotted via the gnuplot script in the validation
directory for different time steps. Probe data is gathered in the centre of the
domain via probes. k, omega and nut for the water may be plotted over time with
the same gnuplot script in the validation directory.

For automated testing, air volume fraction data at end time t=40s is compared
to reference data, which is also located in the validation directory.
