# Curved Vertical Channel to Test Virtual Mass Implementation

## Description

This case is designed for testing the implementation of the virtual mass. The
geometry consists of a curved channel with radius one followed by a vertical
channel. The channel is initialised with alpha.water=1 and alpha.air=0. The
velocity at the inlet is ramped from zero to one within 0.1s. As buoyancy acts
on the disperse gas bubbles, the air accelerates and the water decelerated,
while the volume fraction of the air shrinks due to mass conservation.

## Technical Information

- 1D
- 100 cells
- grading 16
- 2 m overall length
- gravitational acceleration
- linear drag coupling (Ki = 8000)
- virtual mass (Cvm = 0.5)

## Keywords

1D, curved-vertical-channel, isothermal, incompressible, channel, multiphase,
two-phase, stationary, buoyancy
