# Test Case for Wall Lubrication Force

## Description

This case is designed to illustrate and test implementation of the wall
lubrication force into cipsaMultiphaseEuler. A parabolic velocity profile
for water is injected into the vertical channel. Disperse air is injected right
next to the left wall with a low volume flow rate. Under the influence of wall
lubrication force, the air bubbles slowly move away from the wall while rising
under influence of gravity.

## Technical Information

* 2D
* 15x45 cells
* 0.15m x 0.5m
* Wall lubrication: Hosokawa (baseline)
* Gravity
* Parabolic water velocity profile a inlet is achieved via table values
* Fixed walls
* In first phase of initialisation, only water enters the domain to build up the
  homogeneous shear field
* Injection of air is turned on after 2.5 s

## Pre-Processing

The sparger for air injection is added after meshing via topoSet and
createPatch.

## Post-Processing

Line data are obtained with singleGraph at a horizontal line at a height of
y=0.45. The line data may be plotted via the gnuplot script in the validation
directory for the end time at t=5s.

For automated testing, horizontal line data at t=5s is compared to reference
data, which is also located in the validation directory.
