# Test Case for Ma Entrainment Model

## Description

2D test case for entrainment modeling. Water is coming from the left side, then
is pushed downwards due to the symmetric boundary condition on the right side.
This creates a situation favorable to air entrainment, according to the model of
Ma *et al.*[^1].

## Technical Information

* 2D
* 10 x 60 cells
* 0.1m x 0.6m
* baseline model set without turbulent disperse, wall lubrication and lift

The dispersed bubbles diameters are set on purpose to very low diameter in order
to observe effects of entrainment.

## Pre-Processing

Inlet and outlet patches are added after meshing via the *topoSet* and
*createPatch* utilities. The water column is initialised with the *setFields*
utility.

## Keywords

2D, multiphase, two-phase, gas, liquid, isothermal, incompressible, buoyancy,
multimorph, entrainment, phase transfer, free-surface

## Literature

[^1]: Ma, J., Oberai, A. A., Drew, D. A., Lahey Jr, R. T., & Hyman, M. C.
    (2011). A comprehensive sub-grid air entrainment model for RaNS modeling of
    free-surface bubbly flows.
    The Journal of Computational Multiphase Flows, 3(1), 41-56.
