# Test Case for Entrainment of Droplets

## Description

This case is designed to demonstrate shear-induced droplet entrainment, i.e. the
transfer of continuous water to disperse water.

Shear is created by moving the top wall.

The drag of droplets in water is set to infinite to avoid that they move into
the water.

The entrainment coefficient is chosen large to speed up the entrainment but
small enough to stay below the maximum rate so that the Weber number does play
a role.

## Technical Information

- continuous phases: waterC, airC
- disperse phase: waterD
- phase transfer from waterC to waterD (dropletEntrainment)
- 1D
- cyclic boundary conditions in flow direction
- moving top wall, static bottom wall
- laminar

## Pre-Processing

Phases are initialised with `setFields`. The interface is located in the centre
of the centre cell to make sure that both continuous phases are initially
present in this cell (void fraction 0.5).

## Post-Processing

Vertical line data extracted via `graphCell`. A createGraphs script is available
in the validation directory.
