# Test Case for Entrainment of Droplets

## Description

This case tests entrainment for a given constant rate. The domain is
initialised in three horizontal layers: water - air - water. The droplets are
created at the upper water-air interface, fall down and are finally absorbed in
the water reservoir at the bottom.

Note that the upper and the lower water are modelled as different phases
in order to apply the entrainment model only at the top interface and
accumulationToContinuous only at the bottom interface.

## Technical Information

- continuous phases: waterC, waterCaccum, airC
- disperse phase: waterD
- phase transfer from waterC to waterD (constantEntrainment)
- 1D
- laminar

## Pre-Processing

Phases are initialised with `setFields`. In the upper interface region a single
cell is initialised with a void fraction of 0.25 to run the test on a non-ideal
cell filling level.

## Post-Processing

Vertical line data extracted via `graphCell`, volume is integrated by
`volIntegrate`. A createGraphs script is available
in the validation directory.
