# Closed Box Test Case for Accumulation to Continuous Morphology Transfer Model

## Description

This case is designed to demonstrate the functionality of the transfer of a
dispersed phase to its continuous representation, triggered by a threshold
value for the volume fraction. For that purpose, a closed box is partially
filled with dispersed gas, rising to the top wall due to gravity where it
accumulates to continuous gas. The final state is a stratification of water and
continuous air.

## Technical Information

- continuous phases: water, airC
- disperse phase: airD
- phase transfer from airD to airC (accumulationToContinuous)
- 1D
- 25 cells
- no turbulence, no wall force

## Pre-Processing

Phases are initialised with setFields.

## Post-Processing

A createGraphs script is available in the validation directory.

Vertical line data of pressure, phase volume fraction and velocities are stored
via a singleGraph functionObjectDictionary.
