# Test Case for Disintegration To Continuous Morphology Transfer Model

## Description

This test case refers to the phase inversion problem of oil in water in a 2D
square box[^1]. Water and oil are both located in a closed box. Initially, the
oil is purely represented as continuous phase. After disintegration of the
continuous oil structure, the oil is transferred to a phase of disperse
morphology. The vice-versa process is allowed, when the oil accumulates at the
top part of the domain.

## Technical Information

- continuous phases: water, oilC
- disperse phase: oilD
- phase transfer:
  - from oilC to oilD (disintegrationToDisperse)
  - from oilD to oilC (accumulationToContinuous)
- 2D
- 20x20 cells
- no turbulence, no wall force

## Pre-Processing

Phases are initialised with setFields.

## Post-Processing

A `createGraphs` script is available in the validation directory.

Total volume of all three phases is stored via the volFieldValue functionObject.

## Keywords

2D, multiphase, two-phase, phase inversion, closed box, transient, liquid, oil,
water, isothermal, incompressible, phaseTransfer, buoyancy

## Literature

[^1]: Labourasse, E., Lacanette, D., Toutant, A., Lubin, P., Vincent, S.,
      Lebaigue, O., Caltagirone, J.-P., Sagaut, P. (2007).
      Towards large eddy simulation of isothermal two-phase flows: Governing
      equations and a priori tests.
      International Journal of Multiphase Flow, 33, 1-39.
