# Test Case for Disintegration to Disperse Morphology Transfer Model

## Description

This case is designed to demonstrate the functionality of the transfer of a
continuous phase to its dispersed representation. For that purpose, a closed box
is initialised with a smeared blob of continuous air in continuous water. The
gas blob contains a small amount of continuous water. Due to the smeared
representation of the initially continuous phases, the disintegration process is
triggered, which transfers both continuous air and water in their representative
dispersed counterparts in the outer and inner parts of the blob, respectively.
The goal is to demonstrate, that the final phase distribution is similar to the
initial one except from phases being transferred to disperse.

## Technical Information

- continuous phases: waterC, airC
- disperse phased: waterD, airD
- disintegration phase transfer from airC to airD and from waterC to waterD
- 1D
- 50 cells
- no turbulence, no wall force, no gravity

## Pre-Processing

Phases are initialised with coded functionObject.

## Post-Processing

A `createGraphs` script is available in the validation directory.

Vertical line data of pressure, phase volume fraction and velocities are stored
via a graphCell functionObjectDictionary.
